# Draw
TKXSDRAW
XSDRAWSTLVRML

# XSDRAWSTLVRML_DataMapIteratorOfElemNodesMap Class Reference

`#include <XSDRAWSTLVRML_DataMapIteratorOfElemNodesMap.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | XSDRAWSTLVRML_DataMapIteratorOfElemNodesMap ()
Standard_EXPORT | XSDRAWSTLVRML_DataMapIteratorOfElemNodesMap (const XSDRAWSTLVRML_ElemNodesMap &aMap)
Standard_EXPORT void | Initialize (const XSDRAWSTLVRML_ElemNodesMap &aMap)
Standard_EXPORT const Standard_Integer & | Key () const
Standard_EXPORT const TColStd_DataMapOfIntegerInteger & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT XSDRAWSTLVRML_DataMapIteratorOfElemNodesMap::XSDRAWSTLVRML_DataMapIteratorOfElemNodesMap | ( |  | ) |

Standard_EXPORT XSDRAWSTLVRML_DataMapIteratorOfElemNodesMap::XSDRAWSTLVRML_DataMapIteratorOfElemNodesMap | ( | const XSDRAWSTLVRML_ElemNodesMap & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void XSDRAWSTLVRML_DataMapIteratorOfElemNodesMap::Initialize | ( | const XSDRAWSTLVRML_ElemNodesMap & | aMap | ) |

Standard_EXPORT const Standard_Integer& XSDRAWSTLVRML_DataMapIteratorOfElemNodesMap::Key | ( |  | ) | const

void XSDRAWSTLVRML_DataMapIteratorOfElemNodesMap::operator delete | ( | void * | anAddress | ) | `[inline]`

void* XSDRAWSTLVRML_DataMapIteratorOfElemNodesMap::operator new | ( | size_t | size | ) | `[inline]`

void* XSDRAWSTLVRML_DataMapIteratorOfElemNodesMap::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const TColStd_DataMapOfIntegerInteger& XSDRAWSTLVRML_DataMapIteratorOfElemNodesMap::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- XSDRAWSTLVRML_DataMapIteratorOfElemNodesMap.hxx